Package org.apache.storm.messaging

## Enum ConnectionWithStatus.Status

- java.lang.Object
- - java.lang.Enum<ConnectionWithStatus.Status>
  - - org.apache.storm.messaging.ConnectionWithStatus.Status

- All Implemented Interfaces:
    `Serializable`, `Comparable<ConnectionWithStatus.Status>`
  Enclosing class:
    ConnectionWithStatus

      public static enum ConnectionWithStatus.Status
      extends Enum<ConnectionWithStatus.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Closed` | The connection channel is closed or being closed.
    `Connecting` | we are establishing a active connection with target host.
    `Ready` | We have a alive connection channel, which can be used to transfer data.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConnectionWithStatus.Status` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ConnectionWithStatus.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Connecting

          public static final ConnectionWithStatus.Status Connecting

      we are establishing a active connection with target host. The new data sending request can be buffered for future sending, or dropped(cases like there is no enough memory). It varies with difference IConnection implementations.

    - #### Ready

          public static final ConnectionWithStatus.Status Ready

      We have a alive connection channel, which can be used to transfer data.

    - #### Closed

          public static final ConnectionWithStatus.Status Closed

      The connection channel is closed or being closed. We don't accept further data sending or receiving. All data sending request will be dropped.

  - ### Method Detail

    - #### values

          public static ConnectionWithStatus.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionWithStatus.Status c : ConnectionWithStatus.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionWithStatus.Status valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null